%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	X terminal emulator for Xfce desktop environment
Name:		xfce4-terminal
Version:	0.8.4
Release:	%mkrel 1
Group:		Terminals
License:	GPLv2+
URL:		http://docs.xfce.org/apps/terminal/
Source0:	http://archive.xfce.org/src/apps/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	pkgconfig(libxfce4ui-2)
Obsoletes:	terminal < 0.6.0

%description
Terminal is a modern, lightweight, and low memory cost terminal
emulator with tabs and multiple windows for the Xfce desktop
environment. It offers full-customization for the key bindings,
the aspect, the colors, and more.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

desktop-file-edit \
	--add-category="GTK" \
	--add-only-show-in="XFCE" \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-man

%check
make check

%files -f %{name}.lang
%doc README ChangeLog NEWS AUTHORS HACKING THANKS
%{_bindir}/%{name}
%{_datadir}/xfce4/terminal/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome-control-center/default-apps/%{name}-default-apps.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Sat Feb 18 2017 wally <wally> 0.8.4-1.mga6
+ Revision: 1086682
- new version 0.8.4

* Tue Feb 09 2016 umeabot <umeabot> 0.6.3-5.mga6
+ Revision: 952478
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 0.6.3-4.mga5
+ Revision: 817523
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 0.6.3-3.mga5
+ Revision: 748970
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.3-2.mga5
+ Revision: 690634
- Mageia 5 Mass Rebuild

* Fri Dec 27 2013 wally <wally> 0.6.3-1.mga4
+ Revision: 560907
- new version 0.6.3
- drop patches from upstream git/bugzilla

* Tue Oct 22 2013 umeabot <umeabot> 0.6.2-4.mga4
+ Revision: 546116
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 wally <wally> 0.6.2-3.mga4
+ Revision: 502178
- add patch from upstream bugzilla to fix crash when accessing the encoding menu

* Thu Jul 25 2013 wally <wally> 0.6.2-2.mga4
+ Revision: 458123
- add patch from upstream git to improve URL matching (xfce#7959, xfce#9800)

* Thu May 23 2013 wally <wally> 0.6.2-1.mga4
+ Revision: 425078
- new version 0.6.2

* Sun Mar 17 2013 lmenut <lmenut> 0.6.1-3.mga3
+ Revision: 403618
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Mon Jan 14 2013 umeabot <umeabot> 0.6.1-2.mga3
+ Revision: 386869
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 wally <wally> 0.6.1-1.mga3
+ Revision: 337204
- new version 0.6.1
- fix URL

* Fri Dec 28 2012 wally <wally> 0.6.0-1.mga3
+ Revision: 335838
- new version 0.6.0
- rename to xfce4-terminal

* Mon May 28 2012 wally <wally> 0.4.8-1.mga3
+ Revision: 248653
- rebuild for new libxfce4util
- clean .spec

* Fri Jul 08 2011 dams <dams> 0.4.8-1.mga2
+ Revision: 120716
- Update to 0.4.8

* Mon Apr 18 2011 ahmad <ahmad> 0.4.7-1.mga1
+ Revision: 87572
- Update to 0.4.7
- Drop BR imagemagick (unneeded now)
- Drop patch1, fixed differently upstream

* Thu Feb 17 2011 ahmad <ahmad> 0.4.6-3.mga1
+ Revision: 52970
- drop old/unneeded scriptlets
- imported package terminal

